DPGEN_XOR2(3)

NAME
DPGEN_XOR2 - XOR2 Macro-Generator

SYNOPSIS
#include <genlib.h>

void GENLIB_MACRO(
	DPGEN_XOR2,
	char *modelname,
	long flags,
	long N,
	long drive
);
.SH "DESCRIPTION"

Generate a N bits two inputs exclusive OR with an output power of drive named modelname.

Valid drive are : 1 or 4.

  TERMINAL NAMES

1.  i1 : input.

2.  i0 : input.

3.  q : output.

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR

q <= i0 xor i1

EXAMPLE

GENLIB_MACRO(DPGEN_XOR2, "model_xor2_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       , 2
                       );
GENLIB_LOINS( "model_xor2_32"
            , "instance1_xor2_32"
            , "i1[31:0]"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)